<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/myllgjacobian.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>myllgjacobian.c File Reference</h1><code>#include &quot;<a class="el" href="llg_8h_source.html">llg.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for myllgjacobian.c:</div>
<div class="dynsection">
<div class="center"><img src="myllgjacobian_8c__incl.png" border="0" usemap="#llg_2myllgjacobian_8c_map" alt=""/></div>
<map name="llg_2myllgjacobian_8c_map" id="llg_2myllgjacobian_8c">
<area shape="rect" id="node3" href="llg_8h.html" title="llg.h" alt="" coords="89,86,135,117"/><area shape="rect" id="node15" href="field_8h.html" title="field/field.h" alt="" coords="159,86,244,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="268,86,337,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="myllgjacobian_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="myllgjacobian_8c.html#a35010647607c93a40bdab3e86041714f">myLLGJacobian</a> (TS ts, PetscReal t, Vec global_in, Mat *AA, Mat *BB, MatStructure *str, void *ctx)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="myllgjacobian_8c.html#a56704064cd6d4568b0172a2747dd3193">Ad2E_dMidMk</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a35010647607c93a40bdab3e86041714f"></a><!-- doxytag: member="myllgjacobian.c::myLLGJacobian" ref="a35010647607c93a40bdab3e86041714f" args="(TS ts, PetscReal t, Vec global_in, Mat *AA, Mat *BB, MatStructure *str, void *ctx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int myLLGJacobian </td>
          <td>(</td>
          <td class="paramtype">TS&nbsp;</td>
          <td class="paramname"> <em>ts</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>global_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>AA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>BB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MatStructure *&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>ctx</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="myllgjacobian_8c_source.html#l00033">33</a> of file <a class="el" href="myllgjacobian_8c_source.html">myllgjacobian.c</a>.</p>

<p>References <a class="el" href="hexch__ani_8c_source.html#l00034">Ad2E_dMidMk</a>, <a class="el" href="gmshtoucd_8py_source.html#l00202">gmshtoucd::info()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00119">RIGID_M_ALPHA</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, and <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>.</p>

<p>Referenced by <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, and <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_cgraph.png" border="0" usemap="#myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_cgraph_map" alt=""></div>
<map name="myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_cgraph_map" id="myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_cgraph">
<area shape="rect" id="node3" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="168,5,283,35"/><area shape="rect" id="node5" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="179,58,272,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_icgraph.png" border="0" usemap="#myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_icgraph_map" alt=""></div>
<map name="myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_icgraph_map" id="myllgjacobian_8c_a35010647607c93a40bdab3e86041714f_icgraph">
<area shape="rect" id="node3" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="181,5,251,35"/><area shape="rect" id="node13" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="169,58,263,89"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="312,31,389,62"/><area shape="rect" id="node7" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="437,31,568,62"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="616,31,675,62"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="723,31,773,62"/></map>
</div>
</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a56704064cd6d4568b0172a2747dd3193"></a><!-- doxytag: member="myllgjacobian.c::Ad2E_dMidMk" ref="a56704064cd6d4568b0172a2747dd3193" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mat <a class="el" href="myllgjacobian_8c.html#a56704064cd6d4568b0172a2747dd3193">Ad2E_dMidMk</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Jacobian matrix of exchange+anisotropy energy (second derivative with respect to the magnetization) </p>

<p>Definition at line <a class="el" href="hexch__ani_8c_source.html#l00034">34</a> of file <a class="el" href="hexch__ani_8c_source.html">hexch_ani.c</a>.</p>

<p>Referenced by <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, and <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

